FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

User

Download schema

API endpoints to manage user


Get user settings

GET
https://api.funnelflux.pro/v1
/user/settings/

Retrieve a user settings of current or specified user

Get user settings › query Parameters

userId
​string

The user's ID for who need to return settings. Optional, if not passed the user ID from 'key' will be taken. Useful if need to request any user settings by id using internal key (edge, reporting)

Get user settings › Responses

The requested user settings

UserSettings
defaultHomepageURL
​string · required

URL of default homepage, keep empty for 404 response

Default: null
defaultOfferRedirect
​PageRedirectType · enum · required

Default redirect type for offers. See more about types in Page.redirectType description

Enum values:
301
307
meta
umr
defaultLanderRedirect
​PageRedirectType · enum · required

Default redirect type for landers. See more about types in Page.redirectType description

Enum values:
301
307
meta
umr
ipAnonymizer
​string · enum · required

IP Anonymizer name

Enum values:
disabled
All IPs
EU IPs
defaultCustomDomain
​string · required

Default custom domain name from 'customDomains' collection

​ThirdPartyKeys

Keys from third parties

savedViews
​string[]
​object

Custom event number to alias mappings for reporting

GET/user/settings/
curl --request GET \ --url https://api.funnelflux.pro/v1/user/settings
Example Responses
{ "defaultHomepageURL": "https://example.com/", "defaultOfferRedirect": "301", "defaultLanderRedirect": "307", "ipAnonymizer": "EU IPs", "defaultCustomDomain": "domain1.com", "customEventAliases": { "1": { "alias": "Lead", "shortAlias": "Lead" }, "2": { "alias": "Complete Registration", "shortAlias": "Reg" } } }
json
application/json

Save user settings

PUT
https://api.funnelflux.pro/v1
/user/settings/

Create or update user settings of current user

Save user settings › Request Body

UserSettings
defaultHomepageURL
​string · required

URL of default homepage, keep empty for 404 response

Default: null
defaultOfferRedirect
​PageRedirectType · enum · required

Default redirect type for offers. See more about types in Page.redirectType description

Enum values:
301
307
meta
umr
defaultLanderRedirect
​PageRedirectType · enum · required

Default redirect type for landers. See more about types in Page.redirectType description

Enum values:
301
307
meta
umr
ipAnonymizer
​string · enum · required

IP Anonymizer name

Enum values:
disabled
All IPs
EU IPs
defaultCustomDomain
​string · required

Default custom domain name from 'customDomains' collection

​ThirdPartyKeys

Keys from third parties

savedViews
​string[]
​object

Custom event number to alias mappings for reporting

Save user settings › Responses

User settings created/updated successfully

No data returned
PUT/user/settings/
curl --request PUT \ --url https://api.funnelflux.pro/v1/user/settings \ --header 'Content-Type: application/json' \ --data ' { "defaultHomepageURL": "https://example.com/", "defaultOfferRedirect": "301", "defaultLanderRedirect": "307", "ipAnonymizer": "EU IPs", "defaultCustomDomain": "domain1.com", "customEventAliases": { "1": { "alias": "Lead", "shortAlias": "Lead" }, "2": { "alias": "Complete Registration", "shortAlias": "Reg" } } } '
Example Request Body
{ "defaultHomepageURL": "https://example.com/", "defaultOfferRedirect": "301", "defaultLanderRedirect": "307", "ipAnonymizer": "EU IPs", "defaultCustomDomain": "domain1.com", "customEventAliases": { "1": { "alias": "Lead", "shortAlias": "Lead" }, "2": { "alias": "Complete Registration", "shortAlias": "Reg" } } }
json
Example Responses
No example specified for this content type

Delete user settings

DELETE
https://api.funnelflux.pro/v1
/user/settings/

Delete user settings of current user

Delete user settings › Responses

User settings deleted successfully

No data returned
DELETE/user/settings/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/user/settings
Example Responses
No example specified for this content type

CategoriesIntegration